Skip to main content
GET
List All Conversations

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

search_by
string | null

Field name to search by

search_value
string | null

Value to search for in the specified field

status
string | null

Filter by status

sort_by
string | null

Field to sort by

sort_order
enum<string> | null
default:asc

Sort order (asc or desc)

Available options:
asc,
desc
skip
integer
default:0

Number of records to skip

Required range: x >= 0
limit
integer
default:100

Maximum number of records to return

Required range: 1 <= x <= 100

Response

List of conversations retrieved successfully

status
string
required
id
string
orgId
string
prospectId
string | null
source
string
sourceType
string
aiAgentId
string
transcriptText
DialogLine · object[] | null
transcriptSummary
string | null
transcriptRecordingUrl
string | null
timestampStart
string<date-time>
timestampEnd
string<date-time> | null
conversationAnalytics
ConversationAnalyticsModel · object | null

Analytics of the conversation

createdBy
string
createdAt
string<date-time>
updatedBy
string
updatedAt
string<date-time>